## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor
Class ProceduralObjectEditorInput

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorInput
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.ProceduralObjectEditorInput

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISchemaObjectEditorInput, org.eclipse.ui.IEditorInput

    public class ProceduralObjectEditorInput

extends SchemaObjectEditorInput

Author:
  Hui Cao

Constructor Summary
`ProceduralObjectEditorInput(IEditorDescriptor editor, ISchemaObjectEditModel modelObject, org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`java.lang.String` `getDefaultPageId()`
`java.lang.String` `getName()`
`java.lang.String` `getToolTipText()`
`void` `setDefaultPageId(java.lang.String defaultPageId)`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorInput
`equals, exists, getDatabaseIdentifier, getEditModelObject, getEditorDescriptor, getImageDescriptor, getPersistable`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProceduralObjectEditorInput

    public ProceduralObjectEditorInput(IEditorDescriptor editor,
                                       ISchemaObjectEditModel modelObject,
                                       org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
  Overrides:
    `getAdapter` in class `SchemaObjectEditorInput`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.ui.IEditorInput`
  Overrides:
    `getName` in class `SchemaObjectEditorInput`

### getToolTipText

    public java.lang.String getToolTipText()

  Specified by:
    `getToolTipText` in interface `org.eclipse.ui.IEditorInput`
  Overrides:
    `getToolTipText` in class `SchemaObjectEditorInput`

### getDefaultPageId

    public java.lang.String getDefaultPageId()

### setDefaultPageId

    public void setDefaultPageId(java.lang.String defaultPageId)